
Partial Class Visitors_Landing
    Inherits CharterCMSPage

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Landing Page")
        Dim _LandingPage As New LandingPageItem

        If Not IsPostBack Then
            _LandingPage = LandingPageItem.Unspecified

            ucBundle.Visible = False

            If Not (Request.QueryString(QueryStringName.LandingPageItem) Is Nothing) Then
                _LandingPage = CType(Request.QueryString(QueryStringName.LandingPageItem), LandingPageItem)

                Select Case _LandingPage
                    Case LandingPageItem.Bundle
                        ucBundle.Visible = True
                    Case LandingPageItem.Unspecified
                        '###############################################
                        'USE BUNDLE AS THE DEFAULT UNTIL TOLD OTHERWISE.
                        '###############################################
                        ucBundle.Visible = True
                End Select
            Else
                '###############################################
                'USE BUNDLE AS THE DEFAULT UNTIL TOLD OTHERWISE.
                '###############################################
                ucBundle.Visible = True
            End If

        End If
    End Sub
End Class
